Subject: Re: [bug#27155] [PATCH 0/2] Support service extensions on the "final"

From: Rutherther <[email-masked]>
Date: Mon, 01 Sep 2025 21:36:24 +0200

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Sun, 16 Mar 2025 at 12:47, Rutherther <[email-masked]> wrote:
>
>> what's the state of this? Why has this been abandoned?
>
> Well, #27155 [1] does not seem abandoned but…:-)
>
>
> 1: https://issues.guix.gnu.org/issue/27155
>
>> I am really missing a feature like this, so it pains me to see
>> an abandoned thread that clearly states (and I agree) that this
>> feature has been long overdue, but now it's been even 8 more years longer!
>
> What would be the best strategy to move forward on this?
>
> Maybe it could help to start a fresh PR on Codeberg and then open a
> thread on guix-devel.  Rutherther, WDYT?

I think Ludo's suggestion to make usage examples is a good one. I am not
sure about a PR, because I think there are many ways to approach this
problem of transforming already service values so that it would
make sense to me to first agree on an approach and only then open a PR.
I think a PR having a specific implementation to do this could easily get
unnoticed or rejected, while the underlying problem still remains.

Rutherther

> Cheers,
> simon